import { request } from '@/api/_service'

const BASE = 'data_middleground/eagle_eyes/'

function apiParams (method, data = {}) {
  return {
    method,
    platform: 'admin',
    ...data
  }
}

export function getNGWorkstationBatch (data) {
  return request({
    url: BASE + 'getNGWorkstationBatch',
    method: 'get',
    params: apiParams('data_middleground_eagle_eyes_getNGWorkstationBatch', data)
  })
}

export function getBatchResultParam (data) {
  return request({
    url: BASE + 'getBatchResultParam',
    method: 'get',
    params: apiParams('data_middleground_eagle_eyes_getBatchResultParam', data)
  })
}

export function analyzeHawkeyeCorrelation (data) {
  return request({
    url: BASE + 'saveCsvFile',
    method: 'get',
    params: apiParams('data_middleground_eagle_eyes_saveCsvFile', data)
  })
}

export function getDataClassificationByNGCode (data) {
  return request({
    url: BASE + 'getDataClassificationByNGCode',
    method: 'get',
    params: apiParams('data_middleground_eagle_eyes_get_data_classification_by_ng_code', data)
  })
}
